## emms 1.0-3

=== debian/changelog ===
emms (1.0-3) unstable; urgency=low

  * Standards-Version: 3.6.1 (no changes)
  * Removed ChangeLog from debian/docs.
  * XEmacs should compile now.
  * Recommends: vorbis-tools, not ogg123. hmph.

 -- Jorgen Schaefer <forcer@debian.org>  Sat,  3 Apr 2004 13:16:25 +0200

emms (1.0-2) unstable; urgency=low

  * Architecture: all
  * Recommends: mpg321, ogg123 (Closes: #239525)
  * Suggests: mp3info
  * Build-depends: texinfo (Closes: #236953)
  * emms-source-file.el: Don't throw an error when compiling if locate.el
    is not available. (Closes: #237183)

 -- Jorgen Schaefer <forcer@debian.org>  Tue,  9 Mar 2004 02:01:21 +0100

emms (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Jorgen Schaefer <forcer@debian.org>  Sat, 21 Feb 2004 05:23:17 +0100

## emms 1.0-4

=== Makefile ===
DESTDIR=
EMACS=emacs
ALLSOURCE=$(wildcard *.el)
SPECIAL=emms-auto.el emms-maint.el
SOURCE=$(filter-out $(SPECIAL),$(ALLSOURCE))
TARGET=$(patsubst %.el,%.elc,$(SOURCE))
DESTDIR=/usr/share/emacs/site-lisp/emms
INSTALLINFO=/usr/sbin/install-info

.PHONY: all install clean
all: $(TARGET) emms-auto.el emms.info

emms-auto.el: emms-auto.in $(SOURCE)
	cp emms-auto.in emms-auto.el
	-rm emms-auto.elc
	$(EMACS) --no-init-file --no-site-file -batch \
		-l emms-maint.el \
		-l emms-auto.el \
		-f generate-autoloads \
		$(shell pwd)/emms-auto.el .

%.elc: %.el
	$(EMACS) --no-init-file --no-site-file -batch \
		-l emms-maint.el \
		-f batch-byte-compile $<

%.info: %.texinfo
	makeinfo $<

install:
	test -d $(DESTDIR) || mkdir -p $(DESTDIR)
	install -m 644 $(ALLSOURCE) $(DESTDIR)/usr/share/emacs/site-lisp/emms/
	$(INSTALLINFO) --infodir=$(DESTDIR)/usr/share/info/ emms.info

deb-install:
	install -m 644 $(ALLSOURCE) $(DESTDIR)/usr/share/emacs/site-lisp/emms/

clean:
	-rm -f *~ *.elc emms-auto.el emms.info

=== debian/changelog ===
emms (1.0-4) unstable; urgency=low

  * New CVS checkout.

 -- Jorgen Schaefer <forcer@debian.org>  Sun, 11 Jul 2004 03:48:28 +0200

=== debian/control ===
Source: emms
Section: sound
Priority: optional
Maintainer: Jorgen Schaefer <forcer@debian.org>
Build-Depends: debhelper (>= 4.0.0), emacs21, texinfo
Standards-Version: 3.6.1

Package: emms
Architecture: all
Depends: emacs21 | xemacs21
Recommends: mpg321, vorbis-tools
Suggests: mp3info
Description: The Emacs MultiMedia System
 EMMS is the Emacs Multi-Media System. It tries to be a clean and small
 application to play multimedia files from Emacs using external
 players.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	make emms.info
	make emms-auto.el
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/emms.
	$(MAKE) deb-install DESTDIR=$(CURDIR)/debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installinfo emms.info
#	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## emms 1.3

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 emms-auto.el: emms-auto.in $(SOURCE)
 	cp emms-auto.in emms-auto.el
-	-rm emms-auto.elc
+	-rm -f emms-auto.elc
 	$(EMACS) --no-init-file --no-site-file -batch \
 		-l emms-maint.el \
 		-l emms-auto.el \

=== debian/changelog ===
emms (1.3) unstable; urgency=low

  * Don't pass docstring to defvaralias due to XEmacs (Closes: #316583)

 -- Jorgen Schaefer <forcer@debian.org>  Sat,  2 Jul 2005 05:34:57 +0200

emms (1.2) unstable; urgency=low

  * Use legacy function in emacs21 for `read-directory-name (Closes: #316486)
  * Implements url parsing without url library (Closes: #314299)

 -- Jorgen Schaefer <forcer@debian.org>  Fri,  1 Jul 2005 15:18:54 +0200

emms (1.1-1) unstable; urgency=low

  * New CVS checkout.
  * Conflicts with emacs20 (Closes #306489).

 -- Jorgen Schaefer <forcer@debian.org>  Sun, 29 May 2005 00:25:23 +0200

=== debian/control ===
Source: emms
Section: sound
Priority: optional
Maintainer: Jorgen Schaefer <forcer@debian.org>
Build-Depends: debhelper (>= 4.0.0), emacs21, texinfo
Standards-Version: 3.6.2.1

Package: emms
Architecture: all
Depends: emacs21 | xemacs21
Recommends: mpg321, vorbis-tools
Suggests: mp3info
Conflicts: emacs20
Description: The Emacs MultiMedia System
 EMMS is the Emacs Multi-Media System. It tries to be a clean and small
 application to play multimedia files from Emacs using external
 players.

=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/emms.
-	$(MAKE) deb-install DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) deb-install DESTDIR=$(CURDIR)/debian/emms
 
 # Build architecture-independent files here.
 binary-indep: build install

## emms 3.0%2B20130821%2B1.git2fba618

=== debian/watch ===
version=3
opts="dversionmangle=s/\+.*//" \
  http://www.gnu.org/software/emms/download/emms-([\d.]*).tar.gz

## emms 3.0+20110418+1.4a15eea

=== Makefile ===
GZIP=gzip
MAN1PAGES=emms-print-metadata.1
DOCDIR=doc/
LISPDIR=lisp
SRCDIR=src

ALLSOURCE=$(wildcard $(LISPDIR)/*.el)
ALLCOMPILED=$(wildcard $(LISPDIR)/*.elc)

DESTDIR=
PREFIX=$(DESTDIR)/usr/local
INFODIR=$(PREFIX)/info
MAN1DIR=$(PREFIX)/share/man/man1
SITELISP=$(PREFIX)/share/emacs/site-lisp/emms

INSTALLINFO = /usr/sbin/install-info --info-dir=$(INFODIR)
CHANGELOG_CMD = git log --pretty=medium

# The currently released version of EMMS
VERSION=3.0

.PHONY: all install lisp docs deb-install clean
.PRECIOUS: %.elc
all: lisp docs

autoloads:
	$(MAKE) -C $(LISPDIR) emms-auto.el

lisp:
	$(MAKE) -C $(LISPDIR)

docs:
	$(MAKE) -C $(DOCDIR)

emms-print-metadata: $(SRCDIR)/emms-print-metadata.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(SRCDIR)/$@ $< `taglib-config --cflags --libs` -ltag_c

install:
	test -d $(SITELISP) || mkdir -p $(SITELISP)
	test -d $(INFODIR) || install -d $(INFODIR)
	install -m 644 $(ALLSOURCE) $(SITELISP)
	install -m 644 $(ALLCOMPILED) $(SITELISP)
	install -m 0644 $(DOCDIR)emms.info $(INFODIR)/emms
	for p in $(MAN1PAGES) ; do $(GZIP) -9c $$p > $(MAN1DIR)/$$p.gz ; done
	$(INSTALLINFO) emms.info

remove-info:
	$(INSTALLINFO) --remove emms.info

ChangeLog:
	$(CHANGELOG_CMD) > $@

clean:
	-rm -f *~ $(DOCDIR)emms.info $(DOCDIR)emms.html $(SRCDIR)/emms-print-metadata
	$(MAKE) -C $(LISPDIR) clean

dist: clean autoloads
	git archive --format=tar --prefix=emms-$(VERSION)/ HEAD | \
	  (cd .. && tar xf -)
	rm -f ../emms-$(VERSION)/.gitignore
	cp lisp/emms-auto.el ../emms-$(VERSION)/lisp
	$(CHANGELOG_CMD) > ../emms-$(VERSION)/ChangeLog

release: dist
	(cd .. && tar -czf emms-$(VERSION).tar.gz \
	    emms-$(VERSION) ; \
	  zip -r emms-$(VERSION).zip emms-$(VERSION) && \
	  gpg --detach emms-$(VERSION).tar.gz && \
	  gpg --detach emms-$(VERSION).zip)

upload:
	(cd .. && echo "Directory: emms" | gpg --clearsign > \
	    emms-$(VERSION).tar.gz.directive.asc && \
	  cp emms-$(VERSION).tar.gz.directive.asc \
	    emms-$(VERSION).zip.directive.asc && \
	  echo open ftp://ftp-upload.gnu.org > upload.lftp ; \
	  echo cd /incoming/ftp >> upload.lftp ; \
	  echo mput emms-$(VERSION).zip* >> upload.lftp ; \
	  echo mput emms-$(VERSION).tar.gz* >> upload.lftp ; \
	  echo close >> upload.lftp ; \
	  lftp -f upload.lftp ; \
	  rm -f upload.lftp)

=== debian/changelog ===
emms (3.0+20110418+1.4a15eea-1) unstable; urgency=low

  * Git upstream snapshot.
    + Few changes compared to the previous upload to experimental, thus
      upload to unstable.
  * debian/control:
    + Bump Standards-Version to 3.9.2. No changes needed.
    + Add w3m-el to Depends as it is required during installation for
      byte-compiling emms-lastfm-client.el.
    + Recommends either vorbis-tools, mpg321, mplayer, vlc, mpd or xine-ui
      as they are all supported players.
    + Remove leading article in the description reported by lintian.
  * debian/copyright:
    + Update copyright years.
    + Update upstream authors list.
  * debian/rules:
    + Add -Wl,--as-needed to LDFLAGS to avoid linking uselessly on libraries
      whose symbols are not used.
  * debian/watch:
    + Mangle Debian version to remove Git versioning.
  * Drop debian/patches as fix_makefile_path_typo.diff has been applied
    upstream.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 18 Apr 2011 17:05:31 +0900

emms (3.0+20100726+1.12444ae-1) experimental; urgency=low

  * Git upstream snapshot. Closes: #581005.
    + Drop debian patches as they have all been applied in Git.
    + Create the upstream source by simply running `make dist' in the Git
      source tree.
  * Switch to dpkg-source 3.0 (quilt) format.
    + Drop now useless debian/README.source.
    + Drop include of patchsys-quilt.mk in debian/rules.
    + Drop Build-Depends on quilt.
  * debian/control:
    + Bump Standards-Version to 3.9.1. No changes needed.

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 29 Jul 2010 19:40:31 +0100

emms (3.0-6) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.4.
      - Add debian/README.source.
    + Remove emacs22 from Build-Depends as it will be removed for the
      upcoming Squeeze release. Closes: #567696.
  * debian/copyright:
    + Update copyright years.
  * Insert the contents of a file and load playlists in a safe way. Thanks
    to Michael Olson and Yoni Rabkin. Closes: #470251.

 -- Arnaud Fontaine <arnau@debian.org>  Sun, 31 Jan 2010 12:15:20 +0000

emms (3.0-5) unstable; urgency=low

  * debian/control:
    + Add emacs23 to Depends as it has now been released. Closes: #539840.
    + Update Standards-Version to 3.8.2. No changes needed.
    + Add ${misc:Depends} to Depends.
    + Bump compat version to 5 as 4 is now deprecated and update
      debian/compat accordingly.
  * debian/copyright:
    + Update copyright years.
    + Refer to /GPL-2 instead of /GPL for package licensing as suggested
      by lintian.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 04 Aug 2009 14:59:37 +0200

emms (3.0-4) unstable; urgency=low

  * debian/control:
    + Add emacs-snapshot to Depends as some people are using private
      emacs-snapshot package. Closes: #499595.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 24 Sep 2008 18:58:20 +0100

emms (3.0-3) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.0. No changes needed.
    + Don't install files for emacs21 as 'url' package is not provided by
      emacs21. Closes: #498115.
  * debian/doc-base:
    + Update section to Sounds.
  * debian/patches/fix-alsaplayer.patch:
    + Fix alsaplayer backend which didn't work at all. Thanks to Igor B.
      Poretsky. Closes: #466949.
  * Use quilt to manage patches and add it to Build-Depends.
  * debian/copyright:
    + Update copyright years.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 16 Sep 2008 21:47:27 +0100

emms (3.0-2) unstable; urgency=low

  * New email address.
  * debian/control*:
    + Update Standards-Version to 3.7.3. No changes needed.
    + Move Homepage field to source package (dpkg supports it now).

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 07 Dec 2007 20:26:40 +0000

emms (3.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control*:
    + Build-Depends on emacs22 instead of emacs21. Closes: #434917.
    + Drop deprecated depends on emacs21.
  * debian/copyright:
    + Update copyright year.
    + Update license because the upstream author has switched to
      GPLv3.

 -- Arnaud Fontaine <arnaud@andesi.org>  Wed, 08 Aug 2007 17:52:55 +0200

emms (2.1+clean-1) unstable; urgency=low

  * New maintainer. Closes: #411422.
  * Remove debian/ directory from upstream source.
  * Switch to cdbs.
  * Add debian/watch.
  * Add debian/manpages.
  * Add debian/info.
  * Add debian/doc-base.
  * debian/docs:
    + Add HTML documentation.
    + Add FAQ.
  * debian/control*:
    + Add Homepage field.
    + Remove obsolete conflict against emacs20.
  * debian/copyright:
    + Format according to the dh_make template.

 -- Arnaud Fontaine <arnaud@andesi.org>  Tue, 08 May 2007 17:00:49 +0200

emms (2.1-3) unstable; urgency=low

  * QA upload.
  * debian/rules: Provide binary-indep as a no-op.  Closes: #395683.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Sun, 15 Apr 2007 12:48:49 +0200

emms (2.1-2) unstable; urgency=low

  * Orphaned.

 -- Jorgen Schaefer <forcer@debian.org>  Mon, 19 Feb 2007 00:08:01 +0100

emms (2.1-1) unstable; urgency=low

  * New upstream release.

 -- Jorgen Schaefer <forcer@debian.org>  Sun,  3 Sep 2006 13:54:07 +0200

emms (2.0-2) unstable; urgency=low

  * Install info manual as well (Closes: #372953)

 -- Jorgen Schaefer <forcer@debian.org>  Mon, 12 Jun 2006 21:14:41 +0200

emms (2.0-1) unstable; urgency=low

  * New upstream release.
  * Depend alternatively on emacsen (Closes: #321493) and (Closes: #321493)
  * Don't be a “native” package anymore, seems to make some people happier (Closes: #343525)
  * Fix autoloads (Closes: #357398)

 -- Jorgen Schaefer <forcer@debian.org>  Sat, 29 Apr 2006 19:42:39 +0200

=== debian/control ===
Source: emms
Section: sound
Priority: optional
Maintainer: Arnaud Fontaine <arnau@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1),
               debhelper (>= 5.0.0),
               emacs23,
               texinfo,
               libtagc0-dev
Homepage: http://www.gnu.org/software/emms/
Standards-Version: 3.9.2

Package: emms
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         emacsen-common,
         w3m-el,
         emacs23 | xemacs21 | emacs-snapshot
Recommends: vorbis-tools | mpg321 | mplayer | vlc | mpd (>= 0.12.0) | xine-ui
Suggests: mp3info
Description: Emacs MultiMedia System
 EMMS is the Emacs Multi-Media System. It tries to be a clean and
 small application to play multimedia files from Emacs using external
 players.

=== debian/rules ===
#!/usr/bin/make -f
# -*- coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_BUILD_TARGET := emms-print-metadata autoloads
DEB_MAKE_INSTALL_TARGET :=
LDFLAGS := -Wl,--as-needed

build/emms::
	make -C doc/ all emms.html

## emms 3.0+20110425+1.git298e022

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 SITELISP=$(PREFIX)/share/emacs/site-lisp/emms
 
 INSTALLINFO = /usr/sbin/install-info --info-dir=$(INFODIR)
-CHANGELOG_CMD = git log --pretty=medium
+CHANGELOG_CMD = git log --pretty=medium --no-merges
 
 # The currently released version of EMMS
 VERSION=3.0

=== lisp/Makefile ===
EMACS=emacs
SITEFLAG=--no-site-file
ALLSOURCE=$(wildcard *.el)
ALLCOMPILED=$(wildcard *.elc)
SPECIAL=emms-auto.el emms-maint.el
SOURCE=$(filter-out $(SPECIAL),$(ALLSOURCE))
TARGET=$(patsubst %.el,%.elc,$(SOURCE))

.PHONY: all clean
.PRECIOUS: %.elc
all: emms-auto.el $(TARGET)

emms-auto.el: emms-auto.in $(SOURCE)
	cp emms-auto.in emms-auto.el
	-rm -f emms-auto.elc
	@$(EMACS) -q $(SITEFLAG) -batch \
		-l emms-maint.el \
		-l emms-auto.el \
		-f generate-autoloads \
		$(shell pwd)/emms-auto.el .

%.elc: %.el
	@$(EMACS) -q $(SITEFLAG) -batch \
		-l emms-maint.el \
		-f batch-byte-compile $<

clean:
	-rm -f *~ *.elc emms-auto.el

=== debian/changelog ===
emms (3.0+20110425+1.git298e022-4) unstable; urgency=low

  * debian/control:
    + Require emacsen-common >= 2.0.5 because of #693472.
  * debian/emacsen-install:
    + As emacs22 is not supported since squeeze, it must be ignored.
      Closes: #699743.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 11 Mar 2013 18:18:45 +0900

emms (3.0+20110425+1.git298e022-3) unstable; urgency=low

  * debian/control:
    + Allow w3m-el-snapshot in addition to w3m-el in Depends. Closes: #673932.
  * debian/emacsen-install:
    + Log byte-compilation output in a log rather than on the console.
    + Avoid byte-compiling if it has already been done before.

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 07 Jun 2012 10:38:32 +0900

emms (3.0+20110425+1.git298e022-2) unstable; urgency=low

  * debian/emacsen-startup:
    + Call `debian-pkg-add-load-path-item' rather than directly modifying
      `load-path' as par Emacs policy. Closes: #671562.
  * debian/copyright:
    + Update copyright years.
    + Update Format URL as DEP5 has been released.
    + Fix license name from GPL-3 to GPL-3+.
  * debian/control: bump Standards-Version to 3.9.3. No changes needed.
  * debian/patches/remove-emms-playlist-sort-by-score-from-documentation.patch:
    + Remove emms-playlist-sort-by-score from documentation.
  * debian/patches/rename-too-generic-name-generate-autoloads.patch:
    + Rename too generic name generate-autoloads to emms-generate-autoloads.
      Closes: #672188.
  * debian/patches/support-both-xemacs-and-emacs-to-highlight-playing-lyrics.patch:
    + Fix XEmacs installation. Closes: #648980.
  * debian/patches/changelog.patch:
    + Add upstream changelog.
  * debian/makefile-add-missing-cppflags-to-compiler.patch:
    + Add missing CPPFLAGS to C compiler.
  * Add hardening build flags for emms-print-metadata.
    + debian/control: add Build-Depends on dpkg-dev >= 1.16.1~.
    + debian/rules: enable all hardening flags.

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 24 May 2012 10:11:31 +0900

emms (3.0+20110425+1.git298e022-1) unstable; urgency=low

  * Git upstream snapshot.
    + debian/rules:
      - Add get-orig-source to generate tarball from upstream Git repository.
  * Add fix-byte-compilation-with-emacs24.patch. Closes: #625979.
  * debian/changelog:
    + Switch to DEP5 format.

 -- Arnaud Fontaine <arnau@debian.org>  Sat, 05 Nov 2011 15:43:51 +0900

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Priority: optional
 Maintainer: Arnaud Fontaine <arnau@debian.org>
 Build-Depends: cdbs (>= 0.4.23-1.1),
+               dpkg-dev (>= 1.16.1~),
                debhelper (>= 5.0.0),
                emacs23,
                texinfo,
                libtagc0-dev
 Homepage: http://www.gnu.org/software/emms/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: emms
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         emacsen-common,
-         w3m-el,
+         emacsen-common (>= 2.0.5),
+         w3m-el | w3m-el-snapshot,
          emacs23 | xemacs21 | emacs-snapshot
 Recommends: vorbis-tools | mpg321 | mplayer | vlc | mpd (>= 0.12.0) | xine-ui
 Suggests: mp3info

## emms 3.0+20130821+1.git2fba618

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	$(MAKE) -C $(DOCDIR)
 
 emms-print-metadata: $(SRCDIR)/emms-print-metadata.c
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $(SRCDIR)/$@ $< `taglib-config --cflags --libs` -ltag_c
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $(SRCDIR)/$@ $< `taglib-config --cflags --libs` -ltag_c
 
 install:
 	test -d $(SITELISP) || mkdir -p $(SITELISP)

=== doc/Makefile ===
# Don't delete if make is interrupted
.PRECIOUS: %.info %.html

all: emms.info

%.info: %.texinfo
	makeinfo --no-split $<

%.html: %.texinfo
	makeinfo --html --no-split $<

=== debian/changelog ===
emms (3.0+20130821+1.git2fba618-1) unstable; urgency=low

  * New Git upstream snapshot:
    + debian/patches/makefile-add-missing-cppflags-to-compiler.patch,
      debian/patches/remove-emms-playlist-sort-by-score-from-documentation.patch,
      debian/patches/rename-too-generic-name-generate-autoloads.patch,
      debian/patches/support-both-xemacs-and-emacs-to-highlight-playing-lyrics.patch,
      debian/patches/fix-byte-compilation-with-emacs24.patch:
      - Dropped as they have been applied upstream.
    + FTBFS with texinfo5 has been fixed. Closes: #712324.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 11 Sep 2013 16:11:19 +0900

emms (3.0+20110425+1.git298e022-5) experimental; urgency=low

  * debian/control:
    + Add emacs24 to Depends as EMMS should be compatible. Closes: #703004.
    + Bump Standards-Version to 3.9.4. No change needed.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 27 Mar 2013 14:38:45 +0900

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
                texinfo,
                libtagc0-dev
 Homepage: http://www.gnu.org/software/emms/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: emms
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
          emacsen-common (>= 2.0.5),
          w3m-el | w3m-el-snapshot,
-         emacs23 | xemacs21 | emacs-snapshot
+         emacs23 | xemacs21 | emacs24 | emacs-snapshot
 Recommends: vorbis-tools | mpg321 | mplayer | vlc | mpd (>= 0.12.0) | xine-ui
 Suggests: mp3info
 Description: Emacs MultiMedia System

## emms 4.0

=== debian/changelog ===
emms (4.0-2) unstable; urgency=low

  * Remove support for xemacs21 as it is not supported anymore since
    `declare-function' is not defined (at least in 21.4.22).

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 30 Jul 2014 12:33:52 +0900

emms (4.0-1) unstable; urgency=low

  * New upstream release.
    + d/docs: FAQ has been removed upstream.
    + d/watch: Update URL.
  * d/control: Bump Standards-Version to 3.9.5. No change needed.
  * Emacs23 is going to be removed from the archive. Closes: #754008.
    + d/control:
      - Build-Depends on emacs24-nox rather than emacs23.
      - Drop Depends on emacs23 and Depends instead of emacs | emacsen.
  * Follow Debian Emacs Policy:
    + d/control: Bump emacsen-common Depends to >= 2.0.8.
    + d/emacsen-compat: Set emacs-common compatibility level to 0.
  * d/copyright: Update copyright years.
  * d/patches/changelog.patch: Drop as ChangeLog is now provided.
  * d/patches/fix_sigsegv.patch: Add patch to fix SIGSEGV. Closes: #715864.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 29 Jul 2014 19:14:59 +0900

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Build-Depends: cdbs (>= 0.4.23-1.1),
                dpkg-dev (>= 1.16.1~),
                debhelper (>= 5.0.0),
-               emacs23,
+               emacs24-nox,
                texinfo,
                libtagc0-dev
 Homepage: http://www.gnu.org/software/emms/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: emms
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         emacsen-common (>= 2.0.5),
+         emacsen-common (>= 2.0.8),
          w3m-el | w3m-el-snapshot,
-         emacs23 | xemacs21 | emacs24 | emacs-snapshot
+         emacs | emacs-snapshot | emacsen
 Recommends: vorbis-tools | mpg321 | mplayer | vlc | mpd (>= 0.12.0) | xine-ui
 Suggests: mp3info
 Description: Emacs MultiMedia System

=== debian/rules ===
#!/usr/bin/make -f
# -*- coding: utf-8 -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_BUILD_TARGET := emms-print-metadata autoloads
DEB_MAKE_INSTALL_TARGET :=

build/emms::
	make -C doc/ all emms.html

# Generate the upstream tarball from upstream Git (adapted from
# http://wiki.debian.org/SandroTosi/Svn_get-orig-source for Git)
PACKAGE := $(shell dpkg-parsechangelog  | \
        sed -ne 's/^Source: \([a-z.]*\).*/\1/p')

SRC_VERSION := $(shell dpkg-parsechangelog | \
        sed -ne 's/^Version: \([^-]\+\)-.*/\1/p')

ifneq (,$(findstring git, $(SRC_VERSION)))
GIT_VERSION := $(shell echo $(SRC_VERSION) | \
        sed -ne 's/.*git\([a-z0-9]\+\)/\1/p')
else
GIT_VERSION := $(shell echo $(SRC_VERSION) | \
        sed -ne 's/\([0-9]\+:\)\?\([0-9.]\+\)/\2/p')
endif

TARBALL = $(PACKAGE)_$(SRC_VERSION).orig.tar.gz

get-orig-source:
	rm -rf get-orig-source ../$(TARBALL)

	git clone git://git.sv.gnu.org/emms.git \
		get-orig-source/

	cd get-orig-source/ && \
		git archive --prefix=$(PACKAGE)-$(SRC_VERSION).orig/ \
			--format=tar $(GIT_VERSION) `/bin/ls | grep -v master` | \
			gzip --no-name --best > ../../$(TARBALL)	

	rm -rf get-orig-source
	@echo "'../$(TARBALL)' created."

.PHONY: get-orig-source

=== debian/watch ===
version=3
opts="dversionmangle=s/\+.*//,pasv" \
  ftp://ftp.gnu.org/gnu/emms/emms-([\d.]*).tar.gz

## emms 4.1

=== debian/changelog ===
emms (4.1-1) unstable; urgency=low

  * New upstream release.
    + Drop debian/patches/fix_sigsegv.patch applied upstream.
    + Copy of tq.el from Emacs has been removed. Closes: #813965.
  * d/control:
    + Bump Standards-Version to 3.9.8. No changes needed.
    + Drop Depends on w3m-el* as it was only needed to byte-compile lastfm
      code which has been removed upstream. Closes: #780648.
    + Bump debhelper Depends to recommended version 9.
  * d/copyright: Update copyright years.
  * d/patches:
    + lisp-jack.el-In-recent-kernels-proc-asound-cards-can.patch: In
      recent kernels, /proc/asound/cards can have lines beginning with a
      space. Thanks to Kevin Ryde. Closes: #716648.
  * d/watch: Add GPG signature verification of upstream tarball.
    + debian/upstream/signing-key.pgp: Downloaded from
      https://savannah.gnu.org/project/memberlist-gpgkeys.php?group=emms
      - Add this file to debian/source/include-binaries (dpkg-source error).

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 10 Jun 2016 09:54:09 +0900

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,17 @@
 Maintainer: Arnaud Fontaine <arnau@debian.org>
 Build-Depends: cdbs (>= 0.4.23-1.1),
                dpkg-dev (>= 1.16.1~),
-               debhelper (>= 5.0.0),
+               debhelper (>= 9~),
                emacs24-nox,
                texinfo,
                libtagc0-dev
 Homepage: http://www.gnu.org/software/emms/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 
 Package: emms
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
          emacsen-common (>= 2.0.8),
-         w3m-el | w3m-el-snapshot,
          emacs | emacs-snapshot | emacsen
 Recommends: vorbis-tools | mpg321 | mplayer | vlc | mpd (>= 0.12.0) | xine-ui
 Suggests: mp3info

## emms 4.2

=== debian/changelog ===
emms (4.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change build dependency to "emacs25-nox | emacs25 | emacs24" to
    support and prefer emacs25. (Closes: #846987)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 08 Jan 2017 11:52:15 -0600

emms (4.2-1) unstable; urgency=low

  * New upstream release.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 15 Nov 2016 12:35:20 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: cdbs (>= 0.4.23-1.1),
                dpkg-dev (>= 1.16.1~),
                debhelper (>= 9~),
-               emacs24-nox,
+               emacs25-nox | emacs25 | emacs24,
                texinfo,
                libtagc0-dev
 Homepage: http://www.gnu.org/software/emms/

## emms 4.4

=== lisp/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	@$(EMACS) -q $(SITEFLAG) -batch \
 		-l emms-maint.el \
 		-l emms-auto.el \
-		-f generate-autoloads \
+		-f emms-generate-autoloads \
 		$(shell pwd)/emms-auto.el .
 
 %.elc: %.el

=== debian/changelog ===
emms (4.4-1) unstable; urgency=low

  * New upstream release.
  * d/control:
    + emacs24 has been removed (#871627) so use emacs25 in Build-Depends.
    + Bump Standards-Version to 4.1.2.
      - Use HTTPS URL in Homepage field.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 13 Dec 2017 11:00:50 +0900

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Build-Depends: cdbs (>= 0.4.23-1.1),
                dpkg-dev (>= 1.16.1~),
                debhelper (>= 9~),
-               emacs25-nox | emacs25 | emacs24,
+               emacs25-nox | emacs25,
                texinfo,
                libtagc0-dev
-Homepage: http://www.gnu.org/software/emms/
-Standards-Version: 3.9.8
+Homepage: https://www.gnu.org/software/emms/
+Standards-Version: 4.1.2
 
 Package: emms
 Architecture: any

=== debian/watch ===
version=3
opts="dversionmangle=s/\+.*//,pgpsigurlmangle=s/$/.sig/,pasv" \
  ftp://ftp.gnu.org/gnu/emms/emms-([\d.]*).tar.gz

## emms 5.0

=== debian/changelog ===
emms (5.0-1) unstable; urgency=medium

  * New upstream release.
    + d/copyright: Update copyright years and holders.
  * d/control:
    + Bump Standards-Version to 4.1.4.
      - Remove Git get-orig-source rule (using tarballs these days anyway).

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 02 May 2018 09:39:13 +0900

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                texinfo,
                libtagc0-dev
 Homepage: https://www.gnu.org/software/emms/
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 
 Package: emms
 Architecture: any

## emms 5.1

=== Makefile ===
GZIP=gzip
MAN1PAGES=emms-print-metadata.1
DOCDIR=doc/
LISPDIR=lisp
SRCDIR=src

ALLSOURCE=$(wildcard $(LISPDIR)/*.el)
ALLCOMPILED=$(wildcard $(LISPDIR)/*.elc)

DESTDIR=
PREFIX=$(DESTDIR)/usr/local
INFODIR=$(PREFIX)/info
MAN1DIR=$(PREFIX)/share/man/man1
BINDIR=$(PREFIX)/bin
SITELISP=$(PREFIX)/share/emacs/site-lisp/emms

GINSTALLINFO = /usr/bin/ginstall-info --info-dir=$(INFODIR)
# For systems without ginstall-info
INSTALLINFO = /usr/bin/install-info --info-dir=$(INFODIR)
CHANGELOG_CMD = git log --pretty=medium --no-merges

# The currently released version of EMMS
VERSION=5.1

.PHONY: all install lisp docs deb-install clean
.PRECIOUS: %.elc
all: lisp docs

autoloads:
	$(MAKE) -C $(LISPDIR) emms-auto.el

lisp:
	$(MAKE) -C $(LISPDIR)

docs:
	$(MAKE) -C $(DOCDIR)

emms-print-metadata: $(SRCDIR)/emms-print-metadata.cpp
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $(SRCDIR)/$@ $< `taglib-config --cflags --libs`

install:
	test -d $(SITELISP) || mkdir -p $(SITELISP)
	test -d $(INFODIR) || install -d $(INFODIR)
	install -m 644 $(ALLSOURCE) $(SITELISP)
	install -m 644 $(ALLCOMPILED) $(SITELISP)
	install -m 0644 $(DOCDIR)emms.info $(INFODIR)/emms.info
	for p in $(MAN1PAGES) ; do $(GZIP) -9c $$p > $(MAN1DIR)/$$p.gz ; done
	if [ -x /usr/bin/ginstall-info ]; then \
		$(GINSTALLINFO) $(DOCDIR)emms.info; \
	else \
		$(INSTALLINFO) $(DOCDIR)emms.info; \
	fi
	if [ -x  $(SRCDIR)/emms-print-metadata ]; then \
		echo "emms-print-metadata found, installing"; \
		install -m 755 $(SRCDIR)/emms-print-metadata $(BINDIR)/emms-print-metadata; \
	else \
		echo "skipping emms-print-metadata install"; \
	fi

remove-info:
	if [ -x /usr/bin/ginstall-info ]; then \
		$(GINSTALLINFO) --remove $(DOCDIR)emms.info; \
	else \
		$(INSTALLINFO) --remove $(DOCDIR)emms.info; \
	fi

ChangeLog:
	$(CHANGELOG_CMD) > $@

clean:
	-rm -f *~ $(DOCDIR)emms.info $(DOCDIR)emms.html $(SRCDIR)/emms-print-metadata
	$(MAKE) -C $(LISPDIR) clean

dist: clean autoloads
	git archive --format=tar --prefix=emms-$(VERSION)/ HEAD | \
	  (cd .. && tar xf -)
	rm -f ../emms-$(VERSION)/.gitignore
	cp lisp/emms-auto.el ../emms-$(VERSION)/lisp
	$(CHANGELOG_CMD) > ../emms-$(VERSION)/ChangeLog

release: dist
	(cd .. && tar -czf emms-$(VERSION).tar.gz \
	    emms-$(VERSION) ; \
	  gpg --detach emms-$(VERSION).tar.gz)

upload:
	(cd .. && echo "version: 1.2\ndirectory: emms\nfilename: "emms-$(VERSION).tar.gz"\ncomment: version 4.0 of Emms" | gpg --clearsign > emms-$(VERSION).tar.gz.directive.asc && echo open ftp://ftp-upload.gnu.org > upload.lftp ; echo cd /incoming/ftp >> upload.lftp ; echo mput emms-$(VERSION).tar.gz* >> upload.lftp ; echo close >> upload.lftp ; lftp -f upload.lftp ; rm -f upload.lftp)

=== doc/Makefile ===
--- 
+++ 
@@ -2,6 +2,9 @@
 .PRECIOUS: %.info %.html
 
 all: emms.info
+
+clean:
+	rm -f *.info
 
 %.info: %.texinfo
 	makeinfo --no-split $<

=== debian/changelog ===
emms (5.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:39:02 +0100

emms (5.1-1) unstable; urgency=medium

  * New upstream release. Closes: #917968.
    + d/copyright: All the files have now FSF as the copyright holders.
  * d/emacsen-install: >=5.0 uses seq.el available only from emacs >=
    25 so ignore older flavors. Closes: #905208.
  * Update package after emacs package unversioning (from 1:25.2+1-7). This
    means no emacsXY flavors anymore, only emacs (and xemacs21). Keep emacs25
    for backports.
    + d/control:
      - Depends on emacsen-common only and move emacs* to Recommends.
      - Add Enhances field against emacs* packages.
      - Add Build-Depends on emacs | emacs-nox.
    + d/emacsen-{install,remove}: emacs flavor was ignored until now.
  * d/copyright:
    + Update debian directory copyright years.
    + Update Source URL.
  * d/control:
    + Bump Standards-Version to 4.3.0. No change needed.
  * d/emacsen-install: Simplify and keep byte-compile log in ELDIR.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 22 Jan 2019 19:33:40 +0900

=== debian/control ===
Source: emms
Section: sound
Priority: optional
Maintainer: Arnaud Fontaine <arnau@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1),
               dpkg-dev (>= 1.16.1~),
               debhelper (>= 9~),
               emacs-nox (>= 1:25.2+1-7~) | emacs (>= 1:25.2+1-7~) | emacs25-nox | emacs25,
               texinfo,
               libtagc0-dev
Homepage: https://www.gnu.org/software/emms/
Standards-Version: 4.3.0

Package: emms
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         emacsen-common (>= 2.0.8)
Recommends: emacs (>= 1:25.2+1-7~) | emacs25 | emacs-snapshot,
            vorbis-tools | mpg321 | mplayer | vlc | mpd (>= 0.12.0) | xine-ui
Suggests: mp3info
Enhances: emacs,
          emacs25,
          emacs-snapshot
Description: Emacs MultiMedia System
 EMMS is the Emacs Multi-Media System. It tries to be a clean and
 small application to play multimedia files from Emacs using external
 players.

=== debian/rules ===
#!/usr/bin/make -f
# -*- coding: utf-8 -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_BUILD_TARGET := emms-print-metadata autoloads
DEB_MAKE_INSTALL_TARGET :=

build/emms::
	make -C doc/ all emms.html

## emms 6.00

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,14 @@
 GZIP=gzip
 MAN1PAGES=emms-print-metadata.1
 DOCDIR=doc/
-LISPDIR=lisp
 SRCDIR=src
+SITEFLAG=--no-site-file
+EMACS=emacs
 
-ALLSOURCE=$(wildcard $(LISPDIR)/*.el)
-ALLCOMPILED=$(wildcard $(LISPDIR)/*.elc)
+ALLSOURCE=$(wildcard *.el)
+SOURCE=$(filter-out $(SPECIAL),$(ALLSOURCE))
+TARGET=$(patsubst %.el,%.elc,$(SOURCE))
+ALLCOMPILED=$(wildcard *.elc)
 
 DESTDIR=
 PREFIX=$(DESTDIR)/usr/local
@@ -20,20 +23,30 @@
 CHANGELOG_CMD = git log --pretty=medium --no-merges
 
 # The currently released version of EMMS
-VERSION=5.1
+VERSION=6.00
 
-.PHONY: all install lisp docs deb-install clean
+.PHONY: all install docs clean
 .PRECIOUS: %.elc
-all: lisp docs
+all: emms-auto.el $(TARGET) docs
 
-autoloads:
-	$(MAKE) -C $(LISPDIR) emms-auto.el
+emms-auto.el: emms-auto.in $(SOURCE)
+	cp emms-auto.in emms-auto.el
+	-rm -f emms-auto.elc
+	@$(EMACS) -q $(SITEFLAG) -batch \
+		-l emms-maint.el \
+		-l emms-auto.el \
+		-f emms-generate-autoloads \
+		$(shell pwd)/emms-auto.el .
 
-lisp:
-	$(MAKE) -C $(LISPDIR)
+%.elc: %.el
+	@$(EMACS) -q $(SITEFLAG) -batch \
+		-l emms-maint.el \
+		-f batch-byte-compile $<
 
 docs:
 	$(MAKE) -C $(DOCDIR)
+	for file in $(DOCDIR)*.info; do install-info $$file dir; done
+	cp $(DOCDIR)emms.info $(CURDIR)/
 
 emms-print-metadata: $(SRCDIR)/emms-print-metadata.cpp
 	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $(SRCDIR)/$@ $< `taglib-config --cflags --libs`
@@ -69,13 +82,14 @@
 
 clean:
 	-rm -f *~ $(DOCDIR)emms.info $(DOCDIR)emms.html $(SRCDIR)/emms-print-metadata
-	$(MAKE) -C $(LISPDIR) clean
+	-rm -f *~ *.elc emms-auto.el
+	-rm -f emms.info
 
-dist: clean autoloads
+dist: clean emms-auto.el
 	git archive --format=tar --prefix=emms-$(VERSION)/ HEAD | \
 	  (cd .. && tar xf -)
 	rm -f ../emms-$(VERSION)/.gitignore
-	cp lisp/emms-auto.el ../emms-$(VERSION)/lisp
+	cp emms-auto.el ../emms-$(VERSION)
 	$(CHANGELOG_CMD) > ../emms-$(VERSION)/ChangeLog
 
 release: dist
@@ -84,4 +98,4 @@
 	  gpg --detach emms-$(VERSION).tar.gz)
 
 upload:
-	(cd .. && echo "version: 1.2\ndirectory: emms\nfilename: "emms-$(VERSION).tar.gz"\ncomment: version 4.0 of Emms" | gpg --clearsign > emms-$(VERSION).tar.gz.directive.asc && echo open ftp://ftp-upload.gnu.org > upload.lftp ; echo cd /incoming/ftp >> upload.lftp ; echo mput emms-$(VERSION).tar.gz* >> upload.lftp ; echo close >> upload.lftp ; lftp -f upload.lftp ; rm -f upload.lftp)
+	(cd .. && echo "version: 1.2\ndirectory: emms\nfilename: "emms-$(VERSION).tar.gz"\ncomment: new version of Emms" | gpg --clearsign > emms-$(VERSION).tar.gz.directive.asc && echo open ftp://ftp-upload.gnu.org > upload.lftp ; echo cd /incoming/ftp >> upload.lftp ; echo mput emms-$(VERSION).tar.gz* >> upload.lftp ; echo close >> upload.lftp ; lftp -f upload.lftp ; rm -f upload.lftp)

=== debian/changelog ===
emms (6.00-1) unstable; urgency=medium

  * New upstream version
    Closes: #1096579
  * Maintain in Debian Emacsen team
    Closes: #1102389
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * watch file standard 4 (routine-update)
  * Do not Build-Depends: dpkg-dev
  * Switch from cdbs to dh
    Closes: #1098829
  * Build-Depends: s/libtagc0-dev/libtag-c-dev/
    Closes: #1093294
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Secure URI in watch file
  * Use dh-elpa
  * Recommends: s/mpg321/mpg123/
    Closes: #1067877

 -- Andreas Tille <tille@debian.org>  Fri, 11 Apr 2025 07:21:28 +0200

=== debian/control ===
Source: emms
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Arnaud Fontaine <arnau@debian.org>,
           Andreas Tille <tille@debian.org>
Section: sound
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-elpa,
               emacs-nox | emacs,
               texinfo,
               libtag-c-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/emacsen-team/emms
Vcs-Git: https://salsa.debian.org/emacsen-team/emms.git
Homepage: https://www.gnu.org/software/emms/

Package: emms
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${elpa:Depends}
Recommends: emacs | emacs-snapshot,
            vorbis-tools | mpg123 | mplayer | vlc | mpd | xine-ui
Suggests: mp3info
Enhances: emacs,
          emacs-snapshot
Description: Emacs MultiMedia System
 EMMS is the Emacs Multi-Media System. It tries to be a clean and
 small application to play multimedia files from Emacs using external
 players.

=== debian/rules ===
#!/usr/bin/make -f
# -*- coding: utf-8 -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with elpa

override_dh_auto_build:
	dh_auto_build -- all emms-print-metadata
	$(MAKE) -C doc/ all emms.html

override_dh_auto_install:
	echo "Just use dh_install"

=== debian/watch ===
version=4
opts="dversionmangle=s/\+.*//,pgpsigurlmangle=s/$/.sig/" \
  https://ftp.gnu.org/gnu/emms/emms-([\d.]*).tar.gz
